Subject: bug#25921: pkgsrc patches: Dragonfly support

From: Thomas Klausner <[email-masked]>
Date: Wed, 15 Mar 2017 19:04:45 +0100

On Tue, Mar 14, 2017 at 12:27:18PM +0100, Andy Wingo wrote:
> On Wed 01 Mar 2017 21:27, Thomas Klausner <[email-masked]> writes:
> 
> > $NetBSD: patch-lib_signal.in.h,v 1.1 2016/12/03 03:15:33 marino Exp $
> >
> > DragonFly support.
> >
> > --- lib/signal.in.h.orig	2016-06-29 09:12:27 UTC
> > +++ lib/signal.in.h
> > @@ -61,6 +61,7 @@
> >  #if (@GNULIB_PTHREAD_SIGMASK@ || defined GNULIB_POSIXCHECK) \
> >      && ((defined __APPLE__ && defined __MACH__) \
> >          || defined __FreeBSD__ || defined __OpenBSD__ || defined __osf__ \
> > +        || defined __DragonFly__ \
> >          || defined __sun || defined __ANDROID__) \
> >      && ! defined __GLIBC__
> >  # include <pthread.h>
> >
> 
> This file comes from gnulib.  Can you send this patch there?
> [email-masked].  That way you will fix it once and reap the benefits
> many places.

I sent this upstream and learned that it's probably unnecessary, so
I've removed it from pkgsrc.

> > $NetBSD: patch-libguile_threads.c,v 1.1 2016/12/03 03:15:33 marino Exp $
> >
> > DragonFly support.
> >
> > --- libguile/threads.c.orig	2016-06-20 20:35:06 UTC
> > +++ libguile/threads.c
> > @@ -2252,7 +2252,7 @@ scm_ia64_ar_bsp (const void *opaque)
> >    return (void *) ctx->uc_mcontext.sc_ar_bsp;
> >  }
> >  # endif /* linux */
> > -# ifdef __FreeBSD__
> > +# if defined __FreeBSD__ || defined __DragonFly__
> >  #  include <ucontext.h>
> >  void *
> 
> This is for ia64 support which AFAIU DragonFly doesn't do; I think you
> can drop this one.

Ok, removed too.

Thanks for the feedback!
 Thomas